﻿using BlueMarble.Genesis.Infrastructure.Behaviors;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Windows;

namespace BlueMarble.Genesis.Infrastructure.Test.Behaviors
{
    
    
    /// <summary>
    ///This is a test class for IWindowTest and is intended
    ///to contain all IWindowTest Unit Tests
    ///</summary>
    [TestClass()]
    public class IWindowTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        internal virtual IWindow CreateIWindow()
        {
            // TODO: Instantiate an appropriate concrete class.
            IWindow target = null;
            return target;
        }

        /// <summary>
        ///A test for Close
        ///</summary>
        [TestMethod()]
        public void CloseTest()
        {
            IWindow target = CreateIWindow(); // TODO: Initialize to an appropriate value
            target.Close();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for Show
        ///</summary>
        [TestMethod()]
        public void ShowTest()
        {
            IWindow target = CreateIWindow(); // TODO: Initialize to an appropriate value
            target.Show();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for Content
        ///</summary>
        [TestMethod()]
        public void ContentTest()
        {
            IWindow target = CreateIWindow(); // TODO: Initialize to an appropriate value
            object expected = null; // TODO: Initialize to an appropriate value
            object actual;
            target.Content = expected;
            actual = target.Content;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Owner
        ///</summary>
        [TestMethod()]
        public void OwnerTest()
        {
            IWindow target = CreateIWindow(); // TODO: Initialize to an appropriate value
            object expected = null; // TODO: Initialize to an appropriate value
            object actual;
            target.Owner = expected;
            actual = target.Owner;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for Style
        ///</summary>
        [TestMethod()]
        public void StyleTest()
        {
            IWindow target = CreateIWindow(); // TODO: Initialize to an appropriate value
            Style expected = null; // TODO: Initialize to an appropriate value
            Style actual;
            target.Style = expected;
            actual = target.Style;
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
