﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace BlueMarble.Genesis.Client.Standard.Forms
{
    public partial class Splash : Form, global::Genesis.Client.Host.Interfaces.ISplashForm
    {
        public Splash()
        {
            InitializeComponent();
        }

        #region ISplashForm Members

        public void RefreshWindow()
        {
            this.Refresh();
            Application.DoEvents();
        }

        public void ShowSplashForm()
        {
            this.Show();
        }

        public void HideSplashForm()
        {
            this.Hide();
        }

        public void UpdateSplashStatus(string SplashStatus)
        {
            labelStatus.Text = SplashStatus;

            RefreshWindow();
        }

        public void UpdateApplicationName(string ApplicationName)
        {
            labelApplicationName.Text = ApplicationName;

            RefreshWindow();
        }

        public void UpdateTitle(string Title)
        {
            labelTitle.Text = Title;

            RefreshWindow();
        }

        #endregion
    }
}
