﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Genesis.Installer.Extensions.Forms.Controls
{
    public partial class SQLServer : Genesis.Installer.Extensions.Forms.Controls.Base
    {
        public SQLServer()
        {
            InitializeComponent();

            this.InitializeControl();
        }

        protected override void LoadDictionary()
        {
            base.LoadDictionary();

            settings.Add("SQLSERVER", textBoxSQLServer.Text);
            settings.Add("CREATEDATABASE", checkBoxCreateDatabase.Checked);
            settings.Add("SQLUSERNAME", textBoxUsername.Text);
            settings.Add("SQLPASSWORD", textBoxPassword.Text);
        }

        public override void SetDefaultFocus()
        {
            textBoxSQLServer.Focus();
        }
    }
}
