﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genesis.Management.Commands.Module
{
    [Genesis.Common.Attributes.CommandCode("Genesis.Management.Commands.Module.RibbonBar.Search")]
    [Genesis.Common.Attributes.CommandDescription("Search for an ribbon bar")]
    [Genesis.Common.Attributes.CommandName("Ribbon Bar Search")]
    public class ShowRibbonBarSearch : Genesis.Common.Classes.CommandBase, Genesis.Common.Interfaces.ICommand
    {
        #region ICommand Members

        void Genesis.Common.Interfaces.ICommand.Execute()
        {
            Genesis.Client.Common.Forms.WebBrowser webBrowser = 
                new Genesis.Client.Common.Forms.WebBrowser();

            webBrowser.Host = this.host;

            webBrowser.PageProperties.Add(
                new Genesis.Common.Classes.PageProperty(
                    "Url",
                    string.Format("http://localhost:2147/genesis.management.web/Module/Ribbon/Bar/Default.aspx")));

            webBrowser.Navigate();

            webBrowser.GalleryGroupName = "Module";
            webBrowser.GalleryGroupText = "Module<br/><b>Ribbon Bar Management</b>";

            base.host.CreateWindow(webBrowser);
        }

        #endregion
    }
}
