﻿IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'Module_Command_Get_WithNullRecord')
	BEGIN
		DROP  Procedure  Module_Command_Get_WithNullRecord
	END

GO

CREATE Procedure Module_Command_Get_WithNullRecord
AS

	SELECT 
		'00000000-0000-0000-0000-000000000000' AS CommandGuid, 
		'<Select Item>' AS CommandName 
		
	FROM 
		Module_Command 
	
	UNION 
	
	SELECT 
		CommandGuid, 
		CommandName 
		
	FROM 
		Module_Command 
		
	ORDER BY 
		CommandName

GO


