using System;
using System.Collections.Generic;
using System.Text;

namespace Genesis.Common.Classes
{
    [Serializable]
    public class DataParameter
    {
        protected string parameterName;
        protected object parameterValue;

        public DataParameter()
        {
            parameterName = "";
            parameterValue = null;
        }

        public DataParameter(string ParameterName, object ParameterValue)
        {
            parameterName = ParameterName;
            parameterValue = ParameterValue;
        }

        public string ParameterName
        {
            get
            {
                return parameterName;
            }

            set
            {
                parameterName = value;
            }
        }

        public object ParameterValue
        {
            get
            {
                return parameterValue;
            }

            set
            {
                parameterValue = value;
            }
        }
    }
}
