#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;
using Genesis.Common.Classes;

namespace Genesis.Client.Common.Classes
{
    public class ExceptionHandler
    {
        public static void HandleException(System.Exception Exception)
        {
            try
            {
                ExceptionProvider exceptionProvider = new ExceptionProvider();

                exceptionProvider.LogException(Exception);
            }
            finally
            {
                Genesis.Client.Common.Forms.ExceptionForm.Show(Exception);
            }
        }
    }
}
