﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Module_Application_Default : PageBase
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Genesis.Client.Module.Classes.ModuleProvider moduleProvider = new Genesis.Client.Module.Classes.ModuleProvider();

            System.Data.DataTable applicationTable = moduleProvider.ApplicationGetList();

            System.Data.DataColumn editUrlColumn = new System.Data.DataColumn("EditUrl", typeof(string));
            //System.Data.DataColumn deleteUrlColumn = new System.Data.DataColumn("DeleteUrl", typeof(string));

            applicationTable.Columns.Add(editUrlColumn);
            //applicationTable.Columns.Add(deleteUrlColumn);

            foreach (System.Data.DataRow row in applicationTable.Rows)
            {
                row["EditUrl"] = string.Format("<a href=\"Detail.aspx?ApplicationGuid={0}&FormMode=Edit\">{1}</a>",
                    row["ApplicationGuid"],
                    row["ApplicationId"]);
                //row["DeleteUrl"] = string.Format("<a href=\"Detail.aspx?ApplicationGuid={0}&FormMode=Delete\"><img alt=\"Delete\" src=\"/Genesis.Management.Web/Images/trash.ico\" /></a>",
                //    row["ApplicationGuid"]);
            }

            GridView1.DataSource = applicationTable;
            GridView1.DataBind();
        }
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect(this.buildForwardUrl("Detail.aspx?FormMode=Create"));
    }
}
