﻿<%@ Page Title="File Management" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true"
    CodeFile="Detail.aspx.cs" Inherits="Module_File_Detail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <h1>
        Edit File</h1>
    <p>
        Use this screen to edit the details of a new or existing File.</p>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td style="width: 65%">
                &nbsp;
            </td>
            <td align="right">
                <asp:ImageButton ID="deleteImageButton" runat="server" ImageUrl="~/Images/trash_full.ico"
                    Visible="false" />
            </td>
            <td align="right">
                <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/floppy.ico"
                    OnClick="ImageButton2_Click" />&nbsp;
                <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/button_cancel.ico"
                    OnClick="ImageButton1_Click" />
            </td>
        </tr>
    </table>
    <br />
    <table border="0" cellpadding="3" cellspacing="0" width="100%">
        <tr>
            <td style="width: 200px">
                File Name
            </td>
            <td>
                <asp:TextBox ID="fileNameTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Type
            </td>
            <td>
                <asp:DropDownList ID="fileTypeDropDownList" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                Description
            </td>
            <td>
                <asp:TextBox ID="fileDescriptionTextBox" runat="server" TextMode="MultiLine"
                    Rows="4" Columns="60"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Application
            </td>
            <td>
                <asp:DropDownList ID="applicationDropDownList" runat="server"></asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                Order
            </td>
            <td>
                <asp:TextBox ID="orderTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                Path
            </td>
            <td>
                <asp:TextBox ID="pathTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                Url
            </td>
            <td>
                <asp:TextBox ID="urlTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                Version
            </td>
            <td>
                <asp:TextBox ID="versionMajorTextBox" runat="server" Width="45px"></asp:TextBox>&nbsp;
                <asp:TextBox ID="versionMinorTextBox" runat="server" Width="45px"></asp:TextBox>&nbsp;
                <asp:TextBox ID="versionBuildTextBox" runat="server" Width="45px"></asp:TextBox>&nbsp;
                <asp:TextBox ID="versionRevisionTextBox" runat="server" Width="45px"></asp:TextBox>
            </td>
        </tr>
    </table>
    <table border="0" cellpadding="3" cellspacing="0" visible="false">
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                File ID
            </td>
            <td>
                <asp:TextBox ID="fileIdTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                File GUID
            </td>
            <td>
                <asp:TextBox ID="fileGuidTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
    </table>
</asp:Content>
