﻿<%@ Page Title="Ribbon Bar Management" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true"
    CodeFile="Detail.aspx.cs" Inherits="Module_Ribbon_Bar_Detail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <h1>
        Edit Ribbon Bar</h1>
    <p>
        Use this screen to edit the details of a new or existing Ribbon Bar.</p>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td style="width: 65%">
                &nbsp;
            </td>
            <td align="right">
                <asp:ImageButton ID="deleteImageButton" runat="server" ImageUrl="~/Images/trash_full.ico"
                    Visible="false" />
            </td>
            <td align="right">
                <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/floppy.ico"
                    OnClick="ImageButton2_Click" />&nbsp;
                <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/button_cancel.ico"
                    OnClick="ImageButton1_Click" />
            </td>
        </tr>
    </table>
    <br />
    <table border="0" cellpadding="3" cellspacing="0">
        <tr>
            <td style="width: 200px">
                Bar Name
            </td>
            <td>
                <asp:TextBox ID="ribbonBarNameTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Ribbon
            </td>
            <td>
                <asp:DropDownList ID="ribbonDropDownList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td>
                Order
            </td>
            <td>
                <asp:TextBox ID="orderTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <h2>
                    Group Membership</h2>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                To subscribe a user to a specific group membership, select the group from the drop
                down list below and click the 'Subcscribe' button. To unsubscribe a user from a
                group membership select the group in the list box below and click the 'Unsubscribe'
                button.
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Subscribe user to group membership
            </td>
            <td>
                <asp:DropDownList ID="groupDropDownList" runat="server">
                </asp:DropDownList>
                &nbsp;<asp:Button ID="subscribeButton" runat="server" Text="Subscribe" 
                    onclick="subscribeButton_Click" />
            </td>
        </tr>
        <tr>
            <td style="width: 35%" valign="top">
                Group Subscribtions<br />
                <asp:Button ID="UnsubscribeButton" runat="server" Text="Unsubscribe" 
                    Enabled="False" onclick="UnsubscribeButton_Click" />
            </td>
            <td valign="top">
                <asp:ListBox ID="groupListBox" runat="server" 
                    onselectedindexchanged="groupListBox_SelectedIndexChanged" 
                    AutoPostBack="True"></asp:ListBox>
            </td>
        </tr>
    </table>
    <table border="0" cellpadding="3" cellspacing="0" visible="false">
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                RibbonBar ID
            </td>
            <td>
                <asp:TextBox ID="ribbonBarIdTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                RibbonBar GUID
            </td>
            <td>
                <asp:TextBox ID="ribbonBarGuidTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
    </table>
</asp:Content>
