﻿<%@ Page Title="Bar Item Management" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true"
    CodeFile="Detail.aspx.cs" Inherits="Module_Ribbon_Bar_Item_Detail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <h1>
        Edit Bar Item</h1>
    <p>
        Use this screen to edit the details of a new or existing Bar Item.</p>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td style="width: 65%">
                &nbsp;
            </td>
            <td align="right">
                <asp:ImageButton ID="deleteImageButton" runat="server" ImageUrl="~/Images/trash_full.ico"
                    Visible="false" />
            </td>
            <td align="right">
                <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/floppy.ico"
                    OnClick="ImageButton2_Click" />&nbsp;
                <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/button_cancel.ico"
                    OnClick="ImageButton1_Click" />
            </td>
        </tr>
    </table>
    <br />
    <table width="100%" border="0" cellpadding="3" cellspacing="0">
        <tr>
            <td style="width: 200px">
                Bar Name
            </td>
            <td>
                <asp:TextBox ID="barItemNameTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Parent Bar Item
            </td>
            <td>
                <asp:DropDownList ID="parentBarItemDropDownList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Bar Item Type
            </td>
            <td>
                <asp:DropDownList ID="barItemTypeDropDownList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Ribbon Bar
            </td>
            <td>
                <asp:DropDownList ID="ribbonBarDropDownList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Command
            </td>
            <td>
                <asp:DropDownList ID="commandDropDownList" runat="server">
                </asp:DropDownList>
            </td>
        </tr>
        <tr>
            <td style="width: 200px">
                Image
            </td>
            <td>
                <asp:TextBox ID="barItemImageTextBox" runat="server" Width="60%" ReadOnly="true">
                </asp:TextBox><br />
                <asp:DropDownList ID="barItemImageDropDownList" runat="server" Width="60%" 
                    AutoPostBack="True" 
                    onselectedindexchanged="barItemImageDropDownList_SelectedIndexChanged">
                </asp:DropDownList>&nbsp;Size&nbsp;<asp:TextBox
                    ID="barItemImageSizeTextBox" runat="server" Width="150px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td>
                Order
            </td>
            <td>
                <asp:TextBox ID="orderTextBox" runat="server"></asp:TextBox>
            </td>
        </tr>
    </table>
    <table border="0" cellpadding="3" cellspacing="0" visible="false">
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                BarItem ID
            </td>
            <td>
                <asp:TextBox ID="barItemIdTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                BarItem GUID
            </td>
            <td>
                <asp:TextBox ID="barItemGuidTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
    </table>
</asp:Content>
