﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Security_User_Default : PageBase
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            Genesis.Client.Security.Classes.SecurityProvider securityProvider = new Genesis.Client.Security.Classes.SecurityProvider();

            System.Data.DataTable userTable = securityProvider.UserGetList();

            System.Data.DataColumn editUrlColumn = new System.Data.DataColumn("EditUrl", typeof(string));
            //System.Data.DataColumn deleteUrlColumn = new System.Data.DataColumn("DeleteUrl", typeof(string));

            userTable.Columns.Add(editUrlColumn);
            //roleTable.Columns.Add(deleteUrlColumn);

            foreach (System.Data.DataRow row in userTable.Rows)
            {
                row["EditUrl"] = string.Format("<a href=\"Detail.aspx?UserGuid={0}&FormMode=Edit\">{1}</a>",
                    row["UserGuid"],
                    row["UserId"]);
                //row["DeleteUrl"] = string.Format("<a href=\"Detail.aspx?RoleGuid={0}&FormMode=Delete\"><img alt=\"Delete\" src=\"/Genesis.Management.Web/Images/trash.ico\" /></a>",
                //    row["Useruid"]);
            }

            GridView1.DataSource = userTable;
            GridView1.DataBind();
        }
    }
    protected void ImageButton1_Click(object sender, ImageClickEventArgs e)
    {
        Response.Redirect(this.buildForwardUrl("Detail.aspx?FormMode=Create"));
    }
}
