﻿<%@ Page Title="User Management" Language="C#" MasterPageFile="~/Master/MasterPage.master" AutoEventWireup="true"
    CodeFile="Detail.aspx.cs" Inherits="Security_User_Detail" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="Server">
    <h1>
        Edit User</h1>
    <p>
        Use this screen to edit the details of a new or existing User.</p>
    <table width="100%" border="0" cellpadding="0" cellspacing="0">
        <tr>
            <td style="width: 65%">
                &nbsp;
            </td>
            <td align="right">
                <asp:ImageButton ID="deleteImageButton" runat="server" ImageUrl="~/Images/trash_full.ico"
                    Visible="false" />
            </td>
            <td align="right">
                <asp:ImageButton ID="ImageButton2" runat="server" ImageUrl="~/Images/floppy.ico"
                    OnClick="ImageButton2_Click" />&nbsp;
                <asp:ImageButton ID="ImageButton1" runat="server" ImageUrl="~/Images/button_cancel.ico"
                    OnClick="ImageButton1_Click" />
            </td>
        </tr>
    </table>
    <br />
    <table width="100%" border="0" cellpadding="3" cellspacing="0">
        <tr>
            <td colspan="2">
                <h2>
                    Security</h2>
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Username
            </td>
            <td>
                <asp:TextBox ID="usernameTextBox" runat="server" Width="200px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                Enter and confirm the user's password below.
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Password
            </td>
            <td>
                <asp:TextBox ID="passwordTextBox" runat="server" TextMode="Password" Width="200px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Confirm Password
            </td>
            <td>
                <asp:TextBox ID="confirmPasswordTextBox" runat="server" TextMode="Password" Width="200px"></asp:TextBox>
                <asp:CompareValidator ID="passwordCompareValidator" runat="server" ControlToCompare="passwordTextBox"
                    ControlToValidate="confirmPasswordTextBox" Display="Dynamic" ErrorMessage="*"
                    ValidationGroup="UserValidationGroup">Password and confirmation do not match!</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <h2>
                    Collaboration</h2>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                Enter and confirm the user's e-mail address below.
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                e-mail
            </td>
            <td>
                <asp:TextBox ID="emailTextBox" runat="server" Width="200px"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                confirm e-mail
            </td>
            <td>
                <asp:TextBox ID="confirmEmailTextBox" runat="server" Width="200px"></asp:TextBox>
                <asp:CompareValidator ID="emailCompareValidator" runat="server" ControlToCompare="emailTextBox"
                    ControlToValidate="confirmEmailTextBox" Display="Dynamic" ErrorMessage="*" ValidationGroup="UserValidationGroup">e-mail address and confirmation do not match!</asp:CompareValidator>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <h2>
                    Miscelanious</h2>
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Active
            </td>
            <td>
                <asp:CheckBox ID="activeCheckBox" runat="server" Text="User is active" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                Enter the path for the user's login script below. This script will be executed when
                the user is authenticated.
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                User login script
            </td>
            <td>
                <asp:TextBox ID="startupScriptTextBox" runat="server" Width="75%"></asp:TextBox>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <h2>
                    Group Membership</h2>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                To subscribe a user to a specific group membership, select the group from the drop
                down list below and click the 'Subcscribe' button. To unsubscribe a user from a
                group membership select the group in the list box below and click the 'Unsubscribe'
                button.
            </td>
        </tr>
        <tr>
            <td style="width: 35%">
                Subscribe user to group membership
            </td>
            <td>
                <asp:DropDownList ID="groupDropDownList" runat="server">
                </asp:DropDownList>
                &nbsp;<asp:Button ID="subscribeButton" runat="server" Text="Subscribe" 
                    onclick="subscribeButton_Click" />
            </td>
        </tr>
        <tr>
            <td style="width: 35%" valign="top">
                Group Subscribtions<br />
                <asp:Button ID="UnsubscribeButton" runat="server" Text="Unsubscribe" 
                    Enabled="False" onclick="UnsubscribeButton_Click" />
            </td>
            <td valign="top">
                <asp:ListBox ID="groupListBox" runat="server" 
                    onselectedindexchanged="groupListBox_SelectedIndexChanged" 
                    AutoPostBack="True"></asp:ListBox>
            </td>
        </tr>
    </table>
    <br />
    <asp:ValidationSummary ID="ValidationSummary" runat="server" HeaderText="The following validation errors occured"
        ValidationGroup="UserValidationGroup" />
    <br />
    <table border="0" cellpadding="3" cellspacing="0" visible="false">
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                User ID
            </td>
            <td>
                <asp:TextBox ID="userIdTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
        <tr style="visibility: hidden; height: 0px;">
            <td style="width: 200px">
                User GUID
            </td>
            <td>
                <asp:TextBox ID="userGuidTextBox" runat="server" Width="99%"></asp:TextBox>
            </td>
        </tr>
    </table>
</asp:Content>
