<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<xsl:apply-templates select="rss"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="item">
		<tr>
			<td>
				<xsl:text> </xsl:text>
				<br/>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<font color="steelblue">
					<strong>
						<xsl:element name="a">
							<xsl:attribute name="href">
								<xsl:value-of select="link"/>
							</xsl:attribute>

							<xsl:value-of select="title"/>

						</xsl:element>
					</strong>
				</font>
				<xsl:text> - </xsl:text>
				<font size="-1" color="lightsteelblue">
					<strong>
						<xsl:value-of select="pubDate"/>
					</strong>
				</font>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<xsl:value-of select="description"/>
				<xsl:text> </xsl:text><xsl:element name="a">
				<xsl:attribute name="href">
					<xsl:value-of select="link"/>
				</xsl:attribute>
				<xsl:text>more...</xsl:text>
			</xsl:element>
			</td>
		</tr>
		<!--<xsl:if test="count(link) > 0">-->
			<tr>
				<td colspan="2" align="right">
					
				</td>
			</tr>
		<!--</xsl:if>-->
	</xsl:template>

	<xsl:template match="channel">
		<tr>
			<td colspan="2">
				<h4>
					<xsl:value-of select="title"/>
				</h4>
			</td>
		</tr>
		<tr>
			<td colspan="2">
				<em>
					<xsl:value-of select="description"/>
				</em>
			</td>
		</tr>
		<xsl:apply-templates select="item"></xsl:apply-templates>
	</xsl:template>

	<xsl:template match="rss">
		<table width="100%">
			<xsl:apply-templates select="channel"/>
		</table>
	</xsl:template>

</xsl:stylesheet>

