#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Web;
using System.Collections;
using System.Web.Services;
using System.Web.Services.Protocols;
using System.Data;


/// <summary>
/// Summary description for Lookup
/// </summary>
[WebService(Namespace = "http://genesis.bluemarble.co.za/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
public class Lookup : WebServiceBase
{

    public Lookup()
    {

        //Uncomment the following line if using designed components 
        //InitializeComponent(); 

        connectionStringKey = "GenesisConnectionString";
    }

    [WebMethod]
    public DataTable GetLookupValues(string TableName, string ValueColumnName, string DisplayColumnName)
    {
        return SelectManyLookup(TableName, ValueColumnName, DisplayColumnName);
    }

    [WebMethod]
    public DataTable GetLookupValuesUsingConnection(string TableName, string ValueColumnName, string DisplayColumnName, string ConnectionStringKey)
    {
        connectionStringKey = ConnectionStringKey;

        return SelectManyLookup(TableName, ValueColumnName, DisplayColumnName);
    }

    //[WebMethod]
    //public DataTable GetLookupValuesUsingConnection(string TableName, string ValueColumnName, string DisplayColumnName, string WhereClause, string ConnectionStringKey)
    //{
    //    connectionStringKey = ConnectionStringKey;

    //    return SelectManyLookup(TableName, ValueColumnName, DisplayColumnName, WhereClause);
    //}

}

