﻿using System.Windows;

namespace BlueMarble.Genesis.Infrastructure.Helpers
{
    public class ResourceWrapper: DependencyObject
    {
        public BlueMarble.Genesis.Infrastructure.Resources.RegionNames RegionNames
        {
            get { return (BlueMarble.Genesis.Infrastructure.Resources.RegionNames)GetValue(RegionNamesProperty); }
            set { SetValue(RegionNamesProperty, value); }
        }

        // Using a DependencyProperty as the backing store for RegionNames.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty RegionNamesProperty =
            DependencyProperty.Register("RegionNames", 
                typeof(BlueMarble.Genesis.Infrastructure.Resources.RegionNames), 
                typeof(ResourceWrapper), 
                new PropertyMetadata(new BlueMarble.Genesis.Infrastructure.Resources.RegionNames()));
    }
}
