﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Unity;

namespace BlueMarble.Genesis.Common.About
{
    public class AboutViewModel : IAboutViewModel
    {
        public IAboutView View { get; set; }
        protected IRegionManager regionManager { get; set; }
        protected IUnityContainer unityContainer { get; set; }

        public AboutViewModel(IAboutView view, IRegionManager regionManager, IUnityContainer container)
        {
            this.regionManager = regionManager;
            this.unityContainer = container;

            this.View = view;
            this.View.ViewModel = this;
        }
    }
}
