﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Windows.Media.Animation;

namespace BlueMarble.Genesis.Common.Home
{
    /// <summary>
    /// Interaction logic for HomeView.xaml
    /// </summary>
    public partial class HomeView : BlueMarble.Genesis.Infrastructure.Controls.TabItem, IHomeView
    {
        public HomeView()
        {
            InitializeComponent();

            Storyboard cycleBackgroundLayerBrushStoryboard = (Storyboard)this.Resources["CycleBackgroundStoryboardResource"];

            cycleBackgroundLayerBrushStoryboard.Begin();
        }

        public IHomeViewModel ViewModel
        {
            get
            {
                return this.DataContext as IHomeViewModel;
            }
            set
            {
                this.DataContext = value;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ViewModel.Authenticate();
        }
    }
}
