﻿using BlueMarble.Genesis.Shell;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using Microsoft.Practices.Composite.Presentation.Regions;
using System.Windows;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Logging;

namespace BlueMarble.Genesis.Shell.Test.Bootstrapper
{
    /// <summary>
    ///This is a test class for ShellBootstrapperTest and is intended
    ///to contain all ShellBootstrapperTest Unit Tests
    ///</summary>
    [TestClass()]
    public class ShellBootstrapperTest
    {
        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A test for ShellBootstrapper Constructor
        ///</summary>
        [TestMethod()]
        public void ShellBootstrapperConstructorTest()
        {
            ShellBootstrapper target = new ShellBootstrapper();
            Assert.Inconclusive("TODO: Implement code to verify target");
        }

        /// <summary>
        ///A test for ConfigureContainer
        ///</summary>
        [TestMethod()]
        [DeploymentItem("BlueMarble.Genesis.Shell.exe")]
        public void ConfigureContainerTest()
        {
            ShellBootstrapper_Accessor target = new ShellBootstrapper_Accessor(); // TODO: Initialize to an appropriate value
            target.ConfigureContainer();
            Assert.Inconclusive("A method that does not return a value cannot be verified.");
        }

        /// <summary>
        ///A test for ConfigureRegionAdapterMappings
        ///</summary>
        [TestMethod()]
        [DeploymentItem("BlueMarble.Genesis.Shell.exe")]
        public void ConfigureRegionAdapterMappingsTest()
        {
            ShellBootstrapper_Accessor target = new ShellBootstrapper_Accessor(); // TODO: Initialize to an appropriate value
            RegionAdapterMappings expected = null; // TODO: Initialize to an appropriate value
            RegionAdapterMappings actual;
            actual = target.ConfigureRegionAdapterMappings();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for CreateShell
        ///</summary>
        [TestMethod()]
        [DeploymentItem("BlueMarble.Genesis.Shell.exe")]
        public void CreateShellTest()
        {
            ShellBootstrapper_Accessor target = new ShellBootstrapper_Accessor(); // TODO: Initialize to an appropriate value
            DependencyObject expected = null; // TODO: Initialize to an appropriate value
            DependencyObject actual;
            actual = target.CreateShell();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for GetModuleCatalog
        ///</summary>
        [TestMethod()]
        [DeploymentItem("BlueMarble.Genesis.Shell.exe")]
        public void GetModuleCatalogTest()
        {
            ShellBootstrapper_Accessor target = new ShellBootstrapper_Accessor(); // TODO: Initialize to an appropriate value
            IModuleCatalog expected = null; // TODO: Initialize to an appropriate value
            IModuleCatalog actual;
            actual = target.GetModuleCatalog();
            Assert.AreEqual(expected, actual);
            Assert.Inconclusive("Verify the correctness of this test method.");
        }

        /// <summary>
        ///A test for LoggerFacade
        ///</summary>
        [TestMethod()]
        [DeploymentItem("BlueMarble.Genesis.Shell.exe")]
        public void LoggerFacadeTest()
        {
            ShellBootstrapper_Accessor target = new ShellBootstrapper_Accessor(); // TODO: Initialize to an appropriate value
            ILoggerFacade actual;
            actual = target.LoggerFacade;
            Assert.Inconclusive("Verify the correctness of this test method.");
        }
    }
}
