﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genesis.Application.Commands
{
    [Genesis.Common.Attributes.CommandCode("Genesis.Application.Commands.ShowDefaultForm")]
    [Genesis.Common.Attributes.CommandDescription("This command shows the default form")]
    [Genesis.Common.Attributes.CommandName("Default Form")]
    public class ShowDefaultForm : Genesis.Common.Classes.CommandBase, Genesis.Common.Interfaces.ICommand
    {
        #region ICommand Members

        void Genesis.Common.Interfaces.ICommand.Execute()
        {
            Genesis.Application.Forms.DefaultForm defaultForm = new Genesis.Application.Forms.DefaultForm();

            defaultForm.Host = base.host;

            base.host.CreateWindow(defaultForm);
        }

        #endregion
    }
}
