﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genesis.Application.Commands
{
    [Genesis.Common.Attributes.CommandCode("Genesis.Application.Commands.ShowTweetForm")]
    [Genesis.Common.Attributes.CommandDescription("This command shows the tweet form")]
    [Genesis.Common.Attributes.CommandName("Twitter Form")]
    public class ShowTweetForm : Genesis.Common.Classes.CommandBase, Genesis.Common.Interfaces.ICommand
    {
        #region ICommand Members

        void Genesis.Common.Interfaces.ICommand.Execute()
        {
            Genesis.Application.Forms.TweetForm tweetForm = new Genesis.Application.Forms.TweetForm();

            tweetForm.Host = base.host;

            base.host.CreateWindow(tweetForm);
        }

        #endregion
    }
}
