﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using LinqToTwitter;

namespace Genesis.Application
{
    public class GlobalDataSetFunctionsInitializer : Genesis.Common.Interfaces.IGlobalDataSetFunctionsInitializer
    {
        public void Initialize(Common.Classes.GlobalDataSetFunctions GlobalDataSetFunctions)
        {
            Globals.auth = new DesktopOAuthAuthorization();

            (Globals.auth as DesktopOAuthAuthorization).ConsumerKey = Genesis.Application.Constants.OAuthConsumerKey;
            (Globals.auth as DesktopOAuthAuthorization).ConsumerSecret = Genesis.Application.Constants.OAuthConsumerSecret;

            Globals.auth.UseCompression = false;
            Globals.auth.UserAgent = "Genesis Template Application";
        }

        private string VerifierString()
        {
            return Genesis.Application.Forms.Verifier.GetVerificationPin();
        }
    }
}
