﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Genesis.Installer.Extensions.Forms.Controls
{
    public partial class ADSecurity : Forms.Controls.Base
    {
        public ADSecurity()
        {
            InitializeComponent();

            this.InitializeControl();

            textBoxUsername.Text = System.Environment.UserName;
            textBoxDomain.Text = System.Environment.UserDomainName;
        }

        protected override void LoadDictionary()
        {
            base.LoadDictionary();

            settings.Add("DOMAIN", textBoxDomain.Text);
            settings.Add("USERNAME", textBoxUsername.Text);
            settings.Add("PASSWORD", textBoxPassword.Text);
        }

        public override void SetDefaultFocus()
        {
            textBoxUsername.Focus();
        }
    }
}
