﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Genesis.Installer.Extensions.Forms.Controls
{
    public partial class Base : UserControl
    {
        public System.Collections.Specialized.HybridDictionary settings;

        public Base()
        {
            InitializeComponent();
            settings = new System.Collections.Specialized.HybridDictionary();
        }

        protected void InitializeControl()
        {
            this.BackColor = Color.Transparent;
        }

        protected virtual void LoadDictionary()
        {
        }

        private void buttonNext_Click(object sender, EventArgs e)
        {
            this.LoadDictionary();

            this.ParentForm.DialogResult = DialogResult.OK;
        }

        public System.Collections.Specialized.HybridDictionary Settings
        {
            get
            {
                return settings;
            }
        }

        public virtual void SetDefaultFocus()
        {
        }
    }
}
