﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Genesis.Management.Commands.Security
{
    [Genesis.Common.Attributes.CommandCode("Genesis.Management.Commands.Security.User.Search")]
    [Genesis.Common.Attributes.CommandDescription("Search for a user")]
    [Genesis.Common.Attributes.CommandName("User Search")]
    public class ShowUserSearch : Genesis.Common.Classes.CommandBase, Genesis.Common.Interfaces.ICommand
    {
        #region ICommand Members

        void Genesis.Common.Interfaces.ICommand.Execute()
        {
            Genesis.Client.Common.Forms.WebBrowser webBrowser = 
                new Genesis.Client.Common.Forms.WebBrowser();

            webBrowser.Host = this.host;

            webBrowser.PageProperties.Add(
                new Genesis.Common.Classes.PageProperty(
                    "Url",
                    string.Format("http://localhost:2147/genesis.management.web/Security/User/Default.aspx?SessionGuid={0}",
                    this.Host.GlobalDataSetFunctions.GetActiveSessionGuid())));

            webBrowser.Navigate();

            webBrowser.GalleryGroupName = "Security";
            webBrowser.GalleryGroupText = "Security<br/><b>User Management</b>";

            base.host.CreateWindow(webBrowser);
        }

        #endregion
    }
}
