#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace Genesis.Common.Attributes
{
    public class CommandNameAttribute : Attribute
    {
        protected string commandName = "";

        public CommandNameAttribute(string CommandName)
        {
            commandName = CommandName;
        }

        public string CommandName
        {
            get { return commandName; }
            set { commandName = value; }
        }
    }
}
