#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace Genesis.Common.Classes
{
    [Serializable]
    public class DataParameter
    {
        protected string parameterName;
        protected object parameterValue;

        public DataParameter()
        {
            parameterName = "";
            parameterValue = null;
        }

        public DataParameter(string ParameterName, object ParameterValue)
        {
            parameterName = ParameterName;
            parameterValue = ParameterValue;
        }

        public string ParameterName
        {
            get
            {
                return parameterName;
            }

            set
            {
                parameterName = value;
            }
        }

        public object ParameterValue
        {
            get
            {
                return parameterValue;
            }

            set
            {
                parameterValue = value;
            }
        }
    }
}
