#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace Genesis.Common.Interfaces
{
    public interface ICommandInfo
    {
        IHost Host
        {
            get;
            set;
        }

        ICommand Command
        {
            get;
            set;
        }

        Guid Guid
        {
            get;
            set;
        }

        int Id
        {
            get;
            set;
        }

        Guid FileGuid
        {
            get;
            set;
        }

        string Name
        {
            get;
            set;
        }

        string Code
        {
            get;
            set;
        }

        string Description
        {
            get;
            set;
        }
    }
}
