USE [master]
GO

/****** Object:  Database [Genesis]    Script Date: 07/21/2009 21:54:54 ******/
CREATE DATABASE [Genesis] 
 --ON  PRIMARY 
--( NAME = N'Genesis', FILENAME = N'Genesis.mdf' , SIZE = 30720KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 --LOG ON 
--( NAME = N'Genesis_log', FILENAME = N'Genesis.ldf' , SIZE = 149696KB , MAXSIZE = 2048GB , FILEGROWTH = 10%)
GO

ALTER DATABASE [Genesis] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [Genesis].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO

ALTER DATABASE [Genesis] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [Genesis] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [Genesis] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [Genesis] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [Genesis] SET ARITHABORT OFF 
GO

ALTER DATABASE [Genesis] SET AUTO_CLOSE ON 
GO

ALTER DATABASE [Genesis] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [Genesis] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [Genesis] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [Genesis] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [Genesis] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [Genesis] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [Genesis] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [Genesis] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [Genesis] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [Genesis] SET  DISABLE_BROKER 
GO

ALTER DATABASE [Genesis] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [Genesis] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [Genesis] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [Genesis] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [Genesis] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [Genesis] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [Genesis] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [Genesis] SET  READ_WRITE 
GO

ALTER DATABASE [Genesis] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [Genesis] SET  MULTI_USER 
GO

ALTER DATABASE [Genesis] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [Genesis] SET DB_CHAINING OFF 
GO

