<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="deployment_Default" %>

<%@ Register Src="Controls/UploadWizard_GenesisSystemDeployment.ascx" TagName="UploadWizard_GenesisSystemDeployment"
    TagPrefix="uc1" %>
<%@ Register Src="Controls/UploadWizard_Secure.ascx" TagName="UploadWizard_Secure"
    TagPrefix="uc2" %>
<%@ Register Src="Controls/UploadWizard_Upload.ascx" TagName="UploadWizard_Upload"
    TagPrefix="uc3" %>
<%@ Register Src="Controls/UploadWizard_Deploy_FileSystem.ascx" TagName="UploadWizard_Deploy_FileSystem"
    TagPrefix="uc4" %>
<%@ Register Src="Controls/UploadWizard_Deploy_Database.ascx" TagName="UploadWizard_Deploy_Database"
    TagPrefix="uc5" %>
<%@ Register Src="Controls/UploadWizard_Complete.ascx" TagName="UploadWizard_Complete"
    TagPrefix="uc6" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Genesis System Deployment</title>
</head>
<body>
    <form id="mainForm" runat="server">
        <div>
            <table width="90%" style="height: 90%;" border="0" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        &nbsp;</td>
                </tr>
                <tr>
                    <td>
                        &nbsp;</td>
                </tr>
                <tr style="height: 80%;">
                    <td>
                        <asp:Wizard ID="Wizard" runat="server" BackColor="#EFF3FB" BorderColor="#B5C7DE" BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" Width="100%" ActiveStepIndex="0" Height="100%" OnFinishButtonClick="Wizard_FinishButtonClick">
                            <WizardSteps>
                                <asp:WizardStep ID="WizardStep1" runat="server" Title="Genesis System Deployment" StepType="Start">
                                    <uc1:UploadWizard_GenesisSystemDeployment ID="UploadWizard_GenesisSystemDeployment1"
                                        runat="server" />
                                </asp:WizardStep>
                                <asp:WizardStep ID="WizardStep2" runat="server" Title="Secure" AllowReturn="False">
                                    <uc2:UploadWizard_Secure ID="UploadWizard_Secure1" runat="server" />
                                </asp:WizardStep>
                                <asp:WizardStep runat="server" AllowReturn="False" Title="Upload">
                                    <uc3:UploadWizard_Upload ID="UploadWizard_Upload1" runat="server" />
                                </asp:WizardStep>
                                <asp:WizardStep runat="server" Title="Deploy File System">
                                    <uc4:UploadWizard_Deploy_FileSystem ID="UploadWizard_Deploy_FileSystem1" runat="server" />
                                </asp:WizardStep>
                                <asp:WizardStep runat="server" Title="Deploy Database">
                                    <uc5:UploadWizard_Deploy_Database ID="UploadWizard_Deploy_Database1" runat="server" />
                                </asp:WizardStep>
                                <asp:WizardStep runat="server" AllowReturn="False" StepType="Finish" Title="Complete">
                                    <uc6:UploadWizard_Complete ID="UploadWizard_Complete1" runat="server" />
                                </asp:WizardStep>
                            </WizardSteps>
                            <StepStyle Font-Size="0.8em" ForeColor="#333333" VerticalAlign="Top" />
                            <SideBarStyle BackColor="#507CD1" Font-Size="0.9em" VerticalAlign="Top" Width="200px" />
                            <NavigationButtonStyle BackColor="White" BorderColor="#507CD1" BorderStyle="Solid"
                                BorderWidth="1px" Font-Names="Verdana" Font-Size="0.8em" ForeColor="#284E98" />
                            <SideBarButtonStyle BackColor="#507CD1" Font-Names="Verdana" ForeColor="White" />
                            <HeaderStyle BackColor="#284E98" BorderColor="#EFF3FB" BorderStyle="Solid" BorderWidth="2px"
                                Font-Bold="True" Font-Size="0.9em" ForeColor="White" HorizontalAlign="Center" />
                            <NavigationStyle VerticalAlign="Bottom" />
                        </asp:Wizard>
                    </td>
                </tr>
                <tr>
                    <td>
                        &nbsp;<asp:Label ID="outputLabel" runat="server" Text="<b>Deployment log</b><br/>"
                            Visible="False"></asp:Label></td>
                </tr>
                <tr>
                    <td>
                        &nbsp;</td>
                </tr>
            </table>
        </div>
    </form>
</body>
</html>
