#region Copyright Clause
/*
 * Blue Marble Genesis Smart Client Framework
 * 
 * Copyright  2009 Blue Marble. All rights reserved.
 * 
 * This code is protected from any unauthorized duplication or viewing under
 * international copyright laws. Unauthorized access to this code is prosecutable
 * under the full extent of the law.
 */
#endregion

using System;
using System.Collections.Generic;
using System.Text;

namespace Validators
{
    public class UnderAdministration: ValidatorBase
    {
        public UnderAdministration(Dictionary<string, string> GeneralSettings)
            : base(GeneralSettings)
        {
        }

        public bool Validate(Enumerators.AdministrationType AdministrationType)
        {
            bool resultValue = false;

            switch (AdministrationType)
            {
                case Enumerators.AdministrationType.Unset:
                    resultValue = false;
                    break;
                case Enumerators.AdministrationType.Administration:
                case Enumerators.AdministrationType.Seqestration:
                case Enumerators.AdministrationType.Liquidation:
                    resultValue = true;
                    break;
                default:
                    resultValue = true;
                    break;
            }

            return resultValue;
        }

        public override bool Validate()
        {
            throw new Exception("Use the Validate(int AdministrationTypeId) overload method.");
        }
    }
}
